Subject: Re: Change in policy on News?

From: "Magnus Hagander" <[email-masked]>
Date: Mon, 9 Jan 2006 20:16:59 +0100

> > > 1) Commercial Software gets 1 news item, ever, preferably 
> when they 
> > > introduce PostgreSQL support.
> >
> > I wasn't aware of that one. Last I heard, we were talking one per 
> > month, top. Or possibly one per 2 months (nobody seem to remember 
> > which..)
> 
> Actually, I think you're right, only it was more like once 
> per 6 months per product.

Hmm. We should probalby write stuff like this down.

> > > 2) OSS Projects supporting PG get an announcement every major 
> > > version, but NOT for minor releases.
> >
> > Wasn't aware of that one either :-) I wonder if this whole policy 
> > discussion was from before I started doing the -slaves 
> stuff. Either 
> > that or I have a bad memory.
> 
> It was on this list.   Will have to search the archives.

Either that, or we need to decide on a new policy starting now - and
preferrably write it down. In public, so the people who supply news know
about it. (We should probably do that either way, since now there is no
way to know)

> > See pt 1 above. Also, remember that there are different ppl 
> approving 
> > different items. (I'm sure I have probably approved at least one of 
> > those, but I also know I've thrown away at least one, so 
> it's not like
> > *every* one gets approved)
> 
> Well, even if AMsoftware wasn't getting 1 item every 3 weeks, 
> 2 of those should have been turned down on "lack of content" 
> grounds alone.  With room for only 3 news items on the home 
> page, I think we need to be really 
> restrictive about what gets on.   If people want to announce 
> things more 
> frequently, there's the mailing list.  And we we need to be 
> consistent, or we're going to make enemies.

I'm not sure I agree fully on this. There's a point in itself to having
a "good throughput" of the news - news changing often will bring people
to the site often to check it (be it through the standard page or RSS or
whatever). That said, we should have relevant news, of course (which is
why we reject a surprisingly large amount of news that has nothing at
all to do with PostgreSQL). But I think if we're very restrictive about
it, we throttle one of the reasons people come to the site often.

//Magnus

---

From: "Magnus Hagander" <[email-masked]>
Date: Tue, 10 Jan 2006 14:28:25 +0100

> >>> I'd love this, but it would require a site design change.  If you 
> >>> remember, we'd talked about dividing the news tickers into
> >> 4 parts:  News, Product
> >>> Announcements, Events and Training.   However, that didn't
> >> work with the
> >>> design for the home page.
> >>
> >> How much work would it be to fix up the right column on 
> the main page?
> >>
> >> Initial thoughts:
> >>
> >>    Get rid of the individual dates ... change it to something like:
> >
> > I think that's a really bad idea, for two reasons:
> > 1) It's good to know the exact date, when you're a frequent browser
> 
> If you are a frequent browser, you would know what's changed 
> sicne the last time you visited ... and if you are interested 
> in a headline, you would click on it to read the whole thing, 
> and get teh exact date at the same time ...

Well, I know *I* get annoyed when I hit sites that listn ews without
dates on them ;-)

> > 2) We more or less *have* to keep up the throughput. And the list 
> > isn't "dynamic" enough - once the first entry goes in for 
> february, it 
> > gets to live alone..
> 
> I was more thinking '6 most recent headlines', and if they 
> overlap months, so be it, you have:
> 
> News
>    Jan 2006
>      ...
>      ...
>    Dec 2006
>      ...
>      ...
>      ...
>      ...
> 
> Or do you mean we *want* to get rid of Dec News when the 
> first one for Jan comes along?

Absolutely not. I thought you meant "show two months" or so. If we still
show <n> headlines, I can live with it. Though I still prefer the full
dates.

//Magnus